> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://murf.ai/api/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://murf.ai/api/docs/_mcp/server.

# Create

POST https://api.murf.ai/v1/murfdub/projects/create
Content-Type: application/json

Reference: https://murf.ai/api/docs/api-reference/dubbing/projects/create

## Request

### Headers

- `api-key` (string, required) — Your Dub API key

### Body (application/json)

This endpoint expects an ApiCreateProjectRequest.

- `name` (string, required) — Your Project Name
- `dubbing_type` (enum, required)
  - Allowed values: `AUTOMATED`, `QA`
- `target_locales` (list of string, required) — List of target locales
- `source_locale` (string, optional) — Source Locale
- `description` (string, optional)

## Response

### 200

Ok

- `project_id` (string, required) — Your Project Id
- `dubbing_type` (enum, required) — Dubbing Type
  - Allowed values: `AUTOMATED`, `QA`
- `target_locales` (list of string, required) — List of target locales
- `name` (string, optional) — Project Name
- `description` (string, optional)
- `source_locale` (string, optional) — Source Locale

## Errors

### 400 Bad Request Error

Bad Request

- `any`

### 403 Forbidden Error

Invalid or expired token provided

- `any`

### 500 Internal Server Error

Internal Server Error

- `any`

### 503 Service Unavailable Error

Service Unavailable

- `any`

## Examples

### Default Example

**Request**

```json
{
  "name": "string",
  "dubbing_type": "AUTOMATED",
  "target_locales": [
    "string"
  ]
}
```

**Response**

```json
{
  "project_id": "project_id",
  "dubbing_type": "AUTOMATED",
  "target_locales": [
    "target_locales"
  ],
  "name": "name",
  "description": "description",
  "source_locale": "source_locale"
}
```

**SDK Code**

```python Default Example
from murf import MurfDub

client = MurfDub(
    api_key="YOUR_API_KEY",
)

client.dubbing.projects.create(
    name="NameOfYourProject",
    dubbing_type="AUTOMATED",
    target_locales=["fr_FR", "de_DE"],
)

```

```javascript Default Example
const url = 'https://api.murf.ai/v1/murfdub/projects/create';
const options = {
  method: 'POST',
  headers: {'api-key': 'api-key', 'Content-Type': 'application/json'},
  body: '{"name":"string","dubbing_type":"AUTOMATED","target_locales":["string"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Default Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.murf.ai/v1/murfdub/projects/create"

	payload := strings.NewReader("{\n  \"name\": \"string\",\n  \"dubbing_type\": \"AUTOMATED\",\n  \"target_locales\": [\n    \"string\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("api-key", "api-key")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Default Example
require 'uri'
require 'net/http'

url = URI("https://api.murf.ai/v1/murfdub/projects/create")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-key"] = 'api-key'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"string\",\n  \"dubbing_type\": \"AUTOMATED\",\n  \"target_locales\": [\n    \"string\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Default Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.murf.ai/v1/murfdub/projects/create")
  .header("api-key", "api-key")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"string\",\n  \"dubbing_type\": \"AUTOMATED\",\n  \"target_locales\": [\n    \"string\"\n  ]\n}")
  .asString();
```

```php Default Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.murf.ai/v1/murfdub/projects/create', [
  'body' => '{
  "name": "string",
  "dubbing_type": "AUTOMATED",
  "target_locales": [
    "string"
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'api-key' => 'api-key',
  ],
]);

echo $response->getBody();
```

```csharp Default Example
using RestSharp;

var client = new RestClient("https://api.murf.ai/v1/murfdub/projects/create");
var request = new RestRequest(Method.POST);
request.AddHeader("api-key", "api-key");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"string\",\n  \"dubbing_type\": \"AUTOMATED\",\n  \"target_locales\": [\n    \"string\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Default Example
import Foundation

let headers = [
  "api-key": "api-key",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "string",
  "dubbing_type": "AUTOMATED",
  "target_locales": ["string"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.murf.ai/v1/murfdub/projects/create")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Create Project

**Request**

```json
{
  "name": "string",
  "dubbing_type": "AUTOMATED",
  "target_locales": [
    "string"
  ]
}
```

**Response**

```json
{
  "project_id": "P01743659288722XYZAB",
  "dubbing_type": "AUTOMATED",
  "target_locales": [
    "es_ES"
  ],
  "name": "HolaPeppa"
}
```

**SDK Code**

```python Create Project
from murf import MurfDub

client = MurfDub(
    api_key="YOUR_API_KEY",
)

client.dubbing.projects.create(
    name="NameOfYourProject",
    dubbing_type="AUTOMATED",
    target_locales=["fr_FR", "de_DE"],
)

```

```javascript Create Project
const url = 'https://api.murf.ai/v1/murfdub/projects/create';
const options = {
  method: 'POST',
  headers: {'api-key': 'api-key', 'Content-Type': 'application/json'},
  body: '{"name":"string","dubbing_type":"AUTOMATED","target_locales":["string"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Create Project
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.murf.ai/v1/murfdub/projects/create"

	payload := strings.NewReader("{\n  \"name\": \"string\",\n  \"dubbing_type\": \"AUTOMATED\",\n  \"target_locales\": [\n    \"string\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("api-key", "api-key")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Create Project
require 'uri'
require 'net/http'

url = URI("https://api.murf.ai/v1/murfdub/projects/create")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-key"] = 'api-key'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"string\",\n  \"dubbing_type\": \"AUTOMATED\",\n  \"target_locales\": [\n    \"string\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Create Project
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.murf.ai/v1/murfdub/projects/create")
  .header("api-key", "api-key")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"string\",\n  \"dubbing_type\": \"AUTOMATED\",\n  \"target_locales\": [\n    \"string\"\n  ]\n}")
  .asString();
```

```php Create Project
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.murf.ai/v1/murfdub/projects/create', [
  'body' => '{
  "name": "string",
  "dubbing_type": "AUTOMATED",
  "target_locales": [
    "string"
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'api-key' => 'api-key',
  ],
]);

echo $response->getBody();
```

```csharp Create Project
using RestSharp;

var client = new RestClient("https://api.murf.ai/v1/murfdub/projects/create");
var request = new RestRequest(Method.POST);
request.AddHeader("api-key", "api-key");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"string\",\n  \"dubbing_type\": \"AUTOMATED\",\n  \"target_locales\": [\n    \"string\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Create Project
import Foundation

let headers = [
  "api-key": "api-key",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "string",
  "dubbing_type": "AUTOMATED",
  "target_locales": ["string"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.murf.ai/v1/murfdub/projects/create")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```